precision mediump float;

varying lowp vec4 v_TexCoordOut;
uniform float u_Alpha;
uniform float u_Progress;
uniform float u_Hover;

void main() {
    vec2 uv = v_TexCoordOut.xy;

//    float h = .3;
//    float x = (1.0 - .7 * step(u_Progress, uv.x) - step((1.0 -h), uv.y)) - (1.0 - step(h, uv.y));
//    x = clamp(x, 0.0, 1.0);

        float h = .45;
        float w = .01;
        float x = 1.0 - .7 * step(u_Progress, uv.x);
        x -= step((1.0 - h), uv.y);
        x -= (1.0 - step(h, uv.y));
        x += step(u_Hover - w, uv.x) - step(u_Hover + w, uv.x);
        x = clamp(x, 0.0, 1.0);

    gl_FragColor = vec4(x, x, x, x * u_Alpha);
}