precision mediump float;
varying vec4 v_Color;

varying lowp vec4 v_TexCoordOut;
uniform sampler2D u_Texture;
uniform float u_Alpha;
//uniform float u_Gamma;
uniform float u_Fuse;

void main() {
    vec4 col = u_Alpha * texture2D(u_Texture, v_TexCoordOut.xy);
    gl_FragColor = col;
    //gl_FragColor = pow(col, vec4(1.0/u_Gamma));
    //gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
}
