precision mediump float;
varying vec4 v_Color;

varying lowp vec4 v_TexCoordOut;
uniform sampler2D u_Texture;
uniform sampler2D u_Lightmap;
uniform float u_Alpha;
//uniform float u_Gamma;
uniform float u_Fuse;

vec3 avg() {
    vec4 c = texture2D(u_Lightmap, vec2(0., 0.));
    c += texture2D(u_Lightmap, vec2(.2, .2));
    c += texture2D(u_Lightmap, vec2(.4, .4));
    c += texture2D(u_Lightmap, vec2(.6, .6));
    c += texture2D(u_Lightmap, vec2(.8, .8));
    c += texture2D(u_Lightmap, vec2(1., 1.));

    c = c/6.0;
    return c.xyz;
}
void main() {
    vec4 col = u_Alpha * texture2D(u_Texture, v_TexCoordOut.xy);

    gl_FragColor = vec4(col.xyz + col.xyz * avg() * 2.0, 1.0);
    //gl_FragColor = pow(col, vec4(1.0/u_Gamma));
    //gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
}
